import 'package:custom_route_transitions_jer0/custom_route_transitions_jer0.dart';
import 'package:flutter/material.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Material App',
      initialRoute: 'page1',
      routes: {
        'page1': (_) => Page1(),
        'page2': (_) => Page2(),
      },
    );
  }
}

class Page1 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Page1'),
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.blue,
      body: Center(
        child: MaterialButton(
          child: Text('Go to Page 2'),
          color: Colors.white,
          onPressed: () {
            //Navigator.pushNamed(context, 'page2');
            //Navigator.push(context, MaterialPageRoute(builder: (_) => Page2()));
            RouteTransitions(
              context: context,
              child: Page2(),
              animation: AnimationType.fadein,
              duration: Duration(milliseconds: 200),
              replacement: false,
            );
          },
        ),
      ),
    );
  }
}

class Page2 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Page2'),
        backgroundColor: Colors.transparent,
      ),
      backgroundColor: Colors.blueGrey,
      body: Center(
        child: Text('Hola Mundo'),
      ),
    );
  }
}
